<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WebUrunResim StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:WebUrunResim
 * @subpackage Structs
 */
class WebUrunResim extends AbstractStructBase
{
    /**
     * The ResimAdi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ResimAdi;
    /**
     * The ResimBuyuk
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ResimBuyuk;
    /**
     * The ResimFormat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ResimFormat;
    /**
     * The ResimSira
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ResimSira;
    /**
     * The ResimUrunDetay
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ResimUrunDetay;
    /**
     * The ResimUrunListe
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ResimUrunListe;
    /**
     * The UrunKartiID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UrunKartiID;
    /**
     * The VaryasyonID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $VaryasyonID;
    /**
     * Constructor method for WebUrunResim
     * @uses WebUrunResim::setResimAdi()
     * @uses WebUrunResim::setResimBuyuk()
     * @uses WebUrunResim::setResimFormat()
     * @uses WebUrunResim::setResimSira()
     * @uses WebUrunResim::setResimUrunDetay()
     * @uses WebUrunResim::setResimUrunListe()
     * @uses WebUrunResim::setUrunKartiID()
     * @uses WebUrunResim::setVaryasyonID()
     * @param string $resimAdi
     * @param string $resimBuyuk
     * @param string $resimFormat
     * @param int $resimSira
     * @param string $resimUrunDetay
     * @param string $resimUrunListe
     * @param int $urunKartiID
     * @param int $varyasyonID
     */
    public function __construct($resimAdi = null, $resimBuyuk = null, $resimFormat = null, $resimSira = null, $resimUrunDetay = null, $resimUrunListe = null, $urunKartiID = null, $varyasyonID = null)
    {
        $this
            ->setResimAdi($resimAdi)
            ->setResimBuyuk($resimBuyuk)
            ->setResimFormat($resimFormat)
            ->setResimSira($resimSira)
            ->setResimUrunDetay($resimUrunDetay)
            ->setResimUrunListe($resimUrunListe)
            ->setUrunKartiID($urunKartiID)
            ->setVaryasyonID($varyasyonID);
    }
    /**
     * Get ResimAdi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getResimAdi()
    {
        return isset($this->ResimAdi) ? $this->ResimAdi : null;
    }
    /**
     * Set ResimAdi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $resimAdi
     * @return \StructType\WebUrunResim
     */
    public function setResimAdi($resimAdi = null)
    {
        // validation for constraint: string
        if (!is_null($resimAdi) && !is_string($resimAdi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($resimAdi, true), gettype($resimAdi)), __LINE__);
        }
        if (is_null($resimAdi) || (is_array($resimAdi) && empty($resimAdi))) {
            unset($this->ResimAdi);
        } else {
            $this->ResimAdi = $resimAdi;
        }
        return $this;
    }
    /**
     * Get ResimBuyuk value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getResimBuyuk()
    {
        return isset($this->ResimBuyuk) ? $this->ResimBuyuk : null;
    }
    /**
     * Set ResimBuyuk value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $resimBuyuk
     * @return \StructType\WebUrunResim
     */
    public function setResimBuyuk($resimBuyuk = null)
    {
        // validation for constraint: string
        if (!is_null($resimBuyuk) && !is_string($resimBuyuk)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($resimBuyuk, true), gettype($resimBuyuk)), __LINE__);
        }
        if (is_null($resimBuyuk) || (is_array($resimBuyuk) && empty($resimBuyuk))) {
            unset($this->ResimBuyuk);
        } else {
            $this->ResimBuyuk = $resimBuyuk;
        }
        return $this;
    }
    /**
     * Get ResimFormat value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getResimFormat()
    {
        return isset($this->ResimFormat) ? $this->ResimFormat : null;
    }
    /**
     * Set ResimFormat value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $resimFormat
     * @return \StructType\WebUrunResim
     */
    public function setResimFormat($resimFormat = null)
    {
        // validation for constraint: string
        if (!is_null($resimFormat) && !is_string($resimFormat)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($resimFormat, true), gettype($resimFormat)), __LINE__);
        }
        if (is_null($resimFormat) || (is_array($resimFormat) && empty($resimFormat))) {
            unset($this->ResimFormat);
        } else {
            $this->ResimFormat = $resimFormat;
        }
        return $this;
    }
    /**
     * Get ResimSira value
     * @return int|null
     */
    public function getResimSira()
    {
        return $this->ResimSira;
    }
    /**
     * Set ResimSira value
     * @param int $resimSira
     * @return \StructType\WebUrunResim
     */
    public function setResimSira($resimSira = null)
    {
        // validation for constraint: int
        if (!is_null($resimSira) && !(is_int($resimSira) || ctype_digit($resimSira))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($resimSira, true), gettype($resimSira)), __LINE__);
        }
        $this->ResimSira = $resimSira;
        return $this;
    }
    /**
     * Get ResimUrunDetay value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getResimUrunDetay()
    {
        return isset($this->ResimUrunDetay) ? $this->ResimUrunDetay : null;
    }
    /**
     * Set ResimUrunDetay value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $resimUrunDetay
     * @return \StructType\WebUrunResim
     */
    public function setResimUrunDetay($resimUrunDetay = null)
    {
        // validation for constraint: string
        if (!is_null($resimUrunDetay) && !is_string($resimUrunDetay)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($resimUrunDetay, true), gettype($resimUrunDetay)), __LINE__);
        }
        if (is_null($resimUrunDetay) || (is_array($resimUrunDetay) && empty($resimUrunDetay))) {
            unset($this->ResimUrunDetay);
        } else {
            $this->ResimUrunDetay = $resimUrunDetay;
        }
        return $this;
    }
    /**
     * Get ResimUrunListe value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getResimUrunListe()
    {
        return isset($this->ResimUrunListe) ? $this->ResimUrunListe : null;
    }
    /**
     * Set ResimUrunListe value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $resimUrunListe
     * @return \StructType\WebUrunResim
     */
    public function setResimUrunListe($resimUrunListe = null)
    {
        // validation for constraint: string
        if (!is_null($resimUrunListe) && !is_string($resimUrunListe)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($resimUrunListe, true), gettype($resimUrunListe)), __LINE__);
        }
        if (is_null($resimUrunListe) || (is_array($resimUrunListe) && empty($resimUrunListe))) {
            unset($this->ResimUrunListe);
        } else {
            $this->ResimUrunListe = $resimUrunListe;
        }
        return $this;
    }
    /**
     * Get UrunKartiID value
     * @return int|null
     */
    public function getUrunKartiID()
    {
        return $this->UrunKartiID;
    }
    /**
     * Set UrunKartiID value
     * @param int $urunKartiID
     * @return \StructType\WebUrunResim
     */
    public function setUrunKartiID($urunKartiID = null)
    {
        // validation for constraint: int
        if (!is_null($urunKartiID) && !(is_int($urunKartiID) || ctype_digit($urunKartiID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($urunKartiID, true), gettype($urunKartiID)), __LINE__);
        }
        $this->UrunKartiID = $urunKartiID;
        return $this;
    }
    /**
     * Get VaryasyonID value
     * @return int|null
     */
    public function getVaryasyonID()
    {
        return $this->VaryasyonID;
    }
    /**
     * Set VaryasyonID value
     * @param int $varyasyonID
     * @return \StructType\WebUrunResim
     */
    public function setVaryasyonID($varyasyonID = null)
    {
        // validation for constraint: int
        if (!is_null($varyasyonID) && !(is_int($varyasyonID) || ctype_digit($varyasyonID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($varyasyonID, true), gettype($varyasyonID)), __LINE__);
        }
        $this->VaryasyonID = $varyasyonID;
        return $this;
    }
}
